# Stationnement AEP

Ceci est le nouveau site de stationnement (version 2021).

## Installation

```bash
cp .env.dist .env
vim .env # Change the passwords
docker-compose up -d
```

Les changements seront automatiquement appliqués sur le docker avec un volume. Si les dependencies changent, il faudra faire `docker-compose restart php`.

Vous pouvez accéder au site sur http://localhost:8000 et mailhog sur http://localhost:8080

## Déploiement

En plus des étapes habituelles d'installation, il y a quelques différences dans un environnement de production.

* Toutes les commandes doivent commencer par `docker-compose -f docker-compose.prod.yml`
* Si les assets ont été modifiés, il faut vider le volume stationnement_built-assets. Par exemple avec la commande suivante :
```bash
sudo sh -c "rm /var/lib/docker/volumes/stationnement_built-assets/_data/* -rf"
```
* Au premier lancement, il faut rendre le volume des fichiers uploadés propriété du user 1000. Commande :
```bash
sudo chown 1000:1000 /var/lib/docker/volumes/stationnement_uploads/_data
```
* Si le code source est modifié, il faut obligatoirement build l'image à nouveau
* Il est possible de récupérer les dernières images correspondantes à la branche master sur le registry :
```bash
docker login registry.step.polymtl.ca
docker pull registry.step.polymtl.ca/step/aep/stationnement/nginx:master
docker pull registry.step.polymtl.ca/step/aep/stationnement/php:master
```
