import 'ion-rangeslider';

const months = ["Janv", "Févr", "Mars", "Avri", "Mai" ,"Juin", "Juil", "Août", "Sept", "Octo" ,"Nove", "Déce"]

function timestampToString(timestamp: number): string {
    let date = new Date(timestamp);
    return (date.getDate() + " " + months[date.getMonth()]);
}

$(function () {
    const timeRange = document.getElementById("timeRange");
    if (timeRange) {
        const startDate = JSON.parse(timeRange.dataset.activeSessionStart || "");
        const endDate = JSON.parse(timeRange.dataset.activeSessionEnd || "");
        const startTimestamp = Date.parse(startDate.date);
        const endTimestamp = Date.parse(endDate.date);
        const nowTimeStamp = Date.now();

        const min = Math.min(startTimestamp, nowTimeStamp);
        const withinTimeZone = (nowTimeStamp > startTimestamp) && (nowTimeStamp < endTimestamp);
        ($(timeRange) as any).ionRangeSlider({
            min: min,
            max: endTimestamp,
            from_fixed: true,
            to_fixed: true,
            from: startTimestamp,
            to: withinTimeZone? nowTimeStamp : endTimestamp,
            type: 'double',
            prettify: timestampToString,
            force_edges: true,
            hide_from_to: false,
            hide_min_max: false,
            to_shadow: withinTimeZone,
            disaled: withinTimeZone
        });

    }
});
