<?php

namespace App\Command;

use App\Repository\EmailAccessTokenRepository;
use App\Service\EmailTokenService;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

#[AsCommand(
    name: 'app:email-token:delete-expired',
    description: 'Deletes all expired email tokens',
)]
class EmailTokenDeleteExpired extends Command
{
    private EmailTokenService $emailTokenService;

    public function __construct(
        EmailTokenService $emailTokenService
    ) {
        parent::__construct();

        $this->emailTokenService = $emailTokenService;
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $io = new SymfonyStyle($input, $output);

        $tokenCount = $this->emailTokenService->deleteExpired();

        $io->success("${tokenCount} token(s) have been expired successfully !");

        return Command::SUCCESS;
    }
}
