<?php

namespace App\Controller;

use App\Repository\HomeMessageRepository;
use App\Repository\SessionRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Cookie;

class HomeController extends AbstractController
{
    #[Route('/', name: 'home')]
    public function index(HomeMessageRepository $homeMessageRepository, SessionRepository $sessionRepository): Response
    {
        $homeMessages = $homeMessageRepository->findAll();
        $homeMessage = ($homeMessages) ? $homeMessages[0] : ['text' => "Il n'y a aucun message."];
        $currentSession = $sessionRepository->findCurrent();
        $activeSession = $sessionRepository->findActive();
        return $this->render('home/index.html.twig', [
            'homeMessage' => $homeMessage,
            'currentSession' => $currentSession,
            'activeSession' => $activeSession
        ]);
    }
}
