<?php

namespace App\Repository;

use App\Entity\EmailAccessToken;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method EmailAccessToken|null find($id, $lockMode = null, $lockVersion = null)
 * @method EmailAccessToken|null findOneBy(array $criteria, array $orderBy = null)
 * @method EmailAccessToken[]    findAll()
 * @method EmailAccessToken[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class EmailAccessTokenRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, EmailAccessToken::class);
    }

    public function findOneByTokenNotExpired(string $token)
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.token = :token')
            ->setParameter('token', $token)
            ->andWhere('t.expirationDate > CURRENT_TIMESTAMP()')
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }

    public function findExpired()
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.expirationDate < CURRENT_TIMESTAMP()')
            ->getQuery()
            ->getResult()
        ;
    }
}
